# Database structure for phpGreetz

# INSTRUCTIONS FOR MYSQL
# 1. Create database using 'mysql -u{user} -p{pass}'
#    mysql> 'create database {dbname};'
# 2. Import structure using 
#    'mysql -u{user} -p{pass} {dbname} < webgreetz-db-structure.sql'

# --------------------------------------------------------
#
# Table structure for table 'admin'
#

CREATE TABLE admin (
   userlogin char(25) NOT NULL,
   password char(25) NOT NULL,
   seclevel tinyint(3) unsigned DEFAULT '0' NOT NULL,
   username char(25) NOT NULL,
   PRIMARY KEY (userlogin),
   KEY userlogin (userlogin),
   UNIQUE userlogin_2 (userlogin)
);


# --------------------------------------------------------
#
# Table structure for table 'cards'
#

CREATE TABLE cards (
   cardid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
   gfxid int(11) DEFAULT '0' NOT NULL,
   musicid int(11) DEFAULT '0' NOT NULL,
   layoutid tinyint(4) DEFAULT '0' NOT NULL,
   greetcolor varchar(25) NOT NULL,
   greeting varchar(100) NOT NULL,
   bodycolor varchar(25) NOT NULL,
   body text NOT NULL,
   senderid int(11) DEFAULT '0' NOT NULL,
   sendermail varchar(100) NOT NULL,
   recipmail varchar(100) NOT NULL,
   affiliateid int(11) DEFAULT '0' NOT NULL,
   created bigint(20) DEFAULT '0' NOT NULL,
   viewed int(1) DEFAULT '0' NOT NULL,
   sendername varchar(100) NOT NULL,
   recipname varchar(100) NOT NULL,
   bkgcolor varchar(25) NOT NULL,
   PRIMARY KEY (cardid),
   KEY cardid (cardid),
   UNIQUE cardid_2 (cardid)
);


# --------------------------------------------------------
#
# Table structure for table 'categories'
#

CREATE TABLE categories (
   catid int(11) DEFAULT '0' NOT NULL auto_increment,
   description char(100) NOT NULL,
   keywords char(255) NOT NULL,
   ownerid int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (catid),
   KEY catid (catid),
   UNIQUE catid_2 (catid)
);


# --------------------------------------------------------
#
# Table structure for table 'graphics'
#

CREATE TABLE graphics (
   gfxid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
   pointer varchar(255) NOT NULL,
   catid int(11) unsigned DEFAULT '0' NOT NULL,
   keywords varchar(255) NOT NULL,
   imgformat varchar(255) NOT NULL,
   height smallint(6) DEFAULT '0' NOT NULL,
   width smallint(6) DEFAULT '0' NOT NULL,
   filesize smallint(5) unsigned DEFAULT '0' NOT NULL,
   ownerid int(11) unsigned DEFAULT '0' NOT NULL,
   title varchar(50) NOT NULL,
   filename varchar(255) NOT NULL,
   thumbname varchar(255) NOT NULL,
   PRIMARY KEY (gfxid),
   KEY gfxid (gfxid),
   UNIQUE gfxid_2 (gfxid)
);


# --------------------------------------------------------
#
# Table structure for table 'helpcategories'
#

CREATE TABLE helpcategories (
   catid int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   title char(50) NOT NULL,
   keywords char(255) NOT NULL,
   PRIMARY KEY (catid),
   KEY catid (catid),
   UNIQUE catid_2 (catid)
);


# --------------------------------------------------------
#
# Table structure for table 'helptopics'
#

CREATE TABLE helptopics (
   helpid int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   catid int(10) unsigned DEFAULT '0' NOT NULL,
   title varchar(50) NOT NULL,
   keywords varchar(255) NOT NULL,
   body text NOT NULL,
   PRIMARY KEY (helpid),
   KEY helpid (helpid),
   UNIQUE helpid_2 (helpid)
);


# --------------------------------------------------------
#
# Table structure for table 'holidays'
#

CREATE TABLE holidays (
   name char(100) NOT NULL,
   date_mo tinyint(4) DEFAULT '0' NOT NULL,
   date_dy tinyint(4) DEFAULT '0' NOT NULL,
   day_mo tinyint(4) DEFAULT '0' NOT NULL,
   day_wk tinyint(4) DEFAULT '0' NOT NULL,
   day_dy tinyint(4) DEFAULT '0' NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'mailinglist'
#

CREATE TABLE mailinglist (
   email char(255) NOT NULL,
   list_id int(11) DEFAULT '0' NOT NULL,
   KEY email (email),
   KEY email_2 (email),
   KEY email_3 (email),
   PRIMARY KEY (email),
   UNIQUE email_4 (email)
);


# --------------------------------------------------------
#
# Table structure for table 'music'
#

CREATE TABLE music (
   musicid int(11) DEFAULT '0' NOT NULL auto_increment,
   pointer varchar(255) NOT NULL,
   catid int(11) DEFAULT '0' NOT NULL,
   keywords varchar(255) NOT NULL,
   description varchar(100) NOT NULL,
   data blob NOT NULL,
   fileformat varchar(100) NOT NULL,
   filesize smallint(5) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (musicid),
   KEY musicid (musicid),
   UNIQUE musicid_2 (musicid)
);


# --------------------------------------------------------
#
# Table structure for table 'news'
#

CREATE TABLE news (
   newsid mediumint(8) unsigned DEFAULT '0' NOT NULL auto_increment,
   subject varchar(50) NOT NULL,
   categoryid int(11) DEFAULT '0' NOT NULL,
   creator int(11) DEFAULT '0' NOT NULL,
   creationtime int(11),
   priority int(11) DEFAULT '0' NOT NULL,
   body text NOT NULL,
   expirationtime int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (newsid),
   KEY newsid (newsid),
   UNIQUE newsid_2 (newsid)
);


# --------------------------------------------------------
#
# Table structure for table 'users'
#

CREATE TABLE users (
   userid int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   firstname char(50) NOT NULL,
   lastname char(50) NOT NULL,
   email char(100) NOT NULL,
   referer char(255) NOT NULL,
   password char(25) NOT NULL,
   zip smallint(5) unsigned DEFAULT '0' NOT NULL,
   otherloc char(255) NOT NULL,
   acl tinyint(3) unsigned DEFAULT '0' NOT NULL,
   lastlogin int(11),
   datejoined int(11),
   mailinglist tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (userid),
   KEY userid (userid),
   UNIQUE userid_2 (userid)
);
